@Echo Off
SETLOCAL EnableDelayedExpansion
for /F "tokens=1,2 delims=#" %%a in ('"prompt #$H#$E# & echo on & for %%b in (1) do     rem"') do (
  set "DEL=%%a"
)
cls                                                                                       
echo.                                         
echo  ----------------------------------------------------------                                              
echo    NETRO - MIDNIGHT EXPRESS
echo    FUNCTION 2020                                           
echo  ----------------------------------------------------------
echo    For running the demo it is highly recommended to use a
echo    http server (nodejs or anything else) and Chrome.
echo    The package includes a portable edition of http server 
echo    which can be used on Windows .
echo.
call :colorEcho 4f "   OPTIMIZED FOR 1920x1080 - 60Hz - Chrome browser    "
echo.
echo    It also runs on higher Hz but it may cause minimal delay.
echo    The node webserver must be closed manually after running.
echo.
echo  ----------------------------------------------------------
call :colorEcho 2f "   1) Kill Chrome and start full screen demo (recommended)" 
echo.
echo     - The (Chrome) browser will be closed automatically. 
echo       Save before closing, blabla...
echo  ----------------------------------------------------------
call :colorEcho 2f "   2) Just start" 
echo.
echo     - New (Chrome) incognito window will be opened. 
echo       Chrome will not close if it is open and it will not run full screen.
echo  ----------------------------------------------------------
echo.                            
echo. 
@ECHO OFF

CHOICE /C 12 /N /M "1 or 2?"
IF %ERRORLEVEL% == 1 GOTO FULLSTART
IF %ERRORLEVEL% == 2 GOTO START
EXIT
:FULLSTART
start wmic process where "name='node-windows.exe'" delete
start wmic process where "name='chrome.exe'" delete
TIMEOUT  1
cd server
start /MIN node-windows.exe server.js
cd ..
EXIT
goto: EOF
:START 
start wmic process where "name='node-windows.exe'" delete
TIMEOUT  1
cd server
start /MIN node-windows.exe server.js
cd ..
EXIT
goto: EOF
:colorEcho
echo off
<nul set /p ".=%DEL%" > "%~2"
findstr /v /a:%1 /R "^$" "%~2" nul
del "%~2" > nul 2>&1i